Intermittent toolkit/components/extensions/test/mochitest/test-oop-extensions/test_ext_notifications.html | message queue is empty - got "[\"closed\"]", expected "[]"

RESOLVED FIXED in Firefox 56

Status

()

Toolkit
WebExtensions: General
RESOLVED FIXED
3 months ago
17 days ago

People

(Reporter: aryx, Assigned: bsilverberg)

Tracking

({intermittent-failure})

unspecified
mozilla57
intermittent-failure
Points:
---
Bug Flags:
in-testsuite +
qe-verify -

Firefox Tracking Flags

(firefox56 fixed, firefox57 fixed)

Details

(Whiteboard: [notifications][stockwell fixed:timing])

MozReview Requests

()

Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:

Attachments

(1 attachment)

+++ This bug was initially created as a clone of Bug #1352711 +++

This started again last Friday: https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1352711

https://treeherder.mozilla.org/logviewer.html#?job_id=128084977&repo=autoland

05:26:52     INFO -  1349 INFO TEST-PASS | toolkit/components/extensions/test/mochitest/test_ext_notifications.html | the notification has the expected value for option: message - Expected: Carry on, Actual: Carry on
05:26:52     INFO -  1350 INFO TEST-PASS | toolkit/components/extensions/test/mochitest/test_ext_notifications.html | getAll populated
05:26:52     INFO -  1351 INFO TEST-PASS | toolkit/components/extensions/test/mochitest/test_ext_notifications.html | test result correct
05:26:52     INFO -  1352 INFO SpawnTask.js | Leaving test test_notifications_populated_getAll
05:26:52     INFO -  1353 INFO SpawnTask.js | Entering test test_buttons_unsupported
05:26:52     INFO -  1354 INFO Extension loaded
05:26:52     INFO -  1355 INFO TEST-PASS | toolkit/components/extensions/test/mochitest/test_ext_notifications.html | notifications.create with buttons option threw an expected exception
05:26:52     INFO -  1356 INFO TEST-PASS | toolkit/components/extensions/test/mochitest/test_ext_notifications.html | buttons-unsupported
05:26:52     INFO -  1357 INFO TEST-PASS | toolkit/components/extensions/test/mochitest/test_ext_notifications.html | test result correct
05:26:52     INFO -  1358 INFO SpawnTask.js | Leaving test test_buttons_unsupported
05:26:52     INFO -  Buffered messages finished
05:26:52    ERROR -  1359 INFO TEST-UNEXPECTED-FAIL | toolkit/components/extensions/test/mochitest/test_ext_notifications.html | message queue is empty - got "[\"closed\"]", expected "[]"
05:26:52     INFO -      SimpleTest.is@SimpleTest/SimpleTest.js:312:5
05:26:52     INFO -      ExtensionTestUtils.loadExtension/<@SimpleTest/ExtensionTestUtils.js:27:7
05:26:52     INFO -      executeCleanupFunction@SimpleTest/SimpleTest.js:1224:19
05:26:52     INFO -      executeCleanupFunction@SimpleTest/SimpleTest.js:1233:13
05:26:52     INFO -      executeCleanupFunction@SimpleTest/SimpleTest.js:1233:13
05:26:52     INFO -      executeCleanupFunction@SimpleTest/SimpleTest.js:1233:13
05:26:52     INFO -      executeCleanupFunction@SimpleTest/SimpleTest.js:1233:13
05:26:52     INFO -      executeCleanupFunction@SimpleTest/SimpleTest.js:1233:13
05:26:52     INFO -      executeCleanupFunction@SimpleTest/SimpleTest.js:1233:13
05:26:52     INFO -      executeCleanupFunction@SimpleTest/SimpleTest.js:1233:13
05:26:52     INFO -      executeCleanupFunction@SimpleTest/SimpleTest.js:1233:13
05:26:52     INFO -      executeCleanupFunction@SimpleTest/SimpleTest.js:1233:13
05:26:52     INFO -      SimpleTest.finish@SimpleTest/SimpleTest.js:1237:5
05:26:52     INFO -      add_task/</<@SimpleTest/SpawnTask.js:310:11
05:26:52     INFO -      onFulfilled@SimpleTest/SpawnTask.js:69:15
05:26:52     INFO -      promise callback*next@SimpleTest/SpawnTask.js:104:45
05:26:52     INFO -      onFulfilled@SimpleTest/SpawnTask.js:73:7
05:26:52     INFO -      promise callback*next@SimpleTest/SpawnTask.js:104:45
05:26:52     INFO -      onFulfilled@SimpleTest/SpawnTask.js:73:7
05:26:52     INFO -      promise callback*next@SimpleTest/SpawnTask.js:104:45
05:26:52     INFO -      onFulfilled@SimpleTest/SpawnTask.js:73:7
05:26:52     INFO -      promise callback*next@SimpleTest/SpawnTask.js:104:45
05:26:52     INFO -      onFulfilled@SimpleTest/SpawnTask.js:73:7
05:26:52     INFO -      promise callback*next@SimpleTest/SpawnTask.js:104:45
05:26:52     INFO -      onFulfilled@SimpleTest/SpawnTask.js:73:7
05:26:52     INFO -      promise callback*next@SimpleTest/SpawnTask.js:104:45
05:26:52     INFO -      onFulfilled@SimpleTest/SpawnTask.js:73:7
05:26:52     INFO -      co/<@SimpleTest/SpawnTask.js:58:5
05:26:52     INFO -      co@SimpleTest/SpawnTask.js:54:10
05:26:52     INFO -      setTimeout handler*SimpleTest_setTimeoutShim@SimpleTest/SimpleTest.js:676:12
05:26:52     INFO -      add_task@SimpleTest/SpawnTask.js:271:7
05:26:52     INFO -      @toolkit/components/extensions/test/mochitest/test_ext_notifications.html:21:1

Comment 1

3 months ago
21 failures in 939 pushes (0.022 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 9
* mozilla-central: 5
* autoland: 5
* mozilla-beta: 2

Platform breakdown:
* windows10-64: 10
* windows7-32: 7
* windows7-32-stylo: 2
* windows7-32-nightly: 1
* windows7-32-devedition: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1396362&startday=2017-08-28&endday=2017-09-03&tree=all

Comment 2

3 months ago
:bsilverberg - Would you have another look at this intermittent failure?
Flags: needinfo?(bob.silverberg)
Whiteboard: [notifications] → [notifications][stockwell needswork]
(Assignee)

Comment 3

3 months ago
This is unfortunate. :(  I'll take a look.
Assignee: nobody → bob.silverberg
Flags: needinfo?(bob.silverberg)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)

Comment 8

3 months ago
mozreview-review
Comment on attachment 8905017 [details]
Bug 1396362 - Fix intermittent test_ext_notifications.html,

https://reviewboard.mozilla.org/r/176850/#review182838

looks reasonable
Attachment #8905017 - Flags: review?(mixedpuppy) → review+

Comment 9

3 months ago
Pushed by bsilverberg@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/98e8ee4d55dd
Fix intermittent test_ext_notifications.html, r=mixedpuppy
https://hg.mozilla.org/mozilla-central/rev/98e8ee4d55dd
Status: NEW → RESOLVED
Last Resolved: 3 months ago
status-firefox57: --- → fixed
Resolution: --- → FIXED
Target Milestone: --- → mozilla57

Comment 11

3 months ago
bugherderuplift
https://hg.mozilla.org/releases/mozilla-beta/rev/f01d58e60d69
status-firefox56: --- → fixed
Flags: in-testsuite+
Whiteboard: [notifications][stockwell needswork] → [notifications][stockwell fixed]
Whiteboard: [notifications][stockwell fixed] → [notifications][stockwell fixed:timing]

Comment 12

3 months ago
25 failures in 924 pushes (0.027 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 13
* mozilla-inbound: 9
* mozilla-beta: 2
* mozilla-central: 1

Platform breakdown:
* windows10-64: 13
* windows7-32: 6
* windows7-32-stylo-disabled: 4
* windows8-64-devedition: 1
* windows8-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1396362&startday=2017-09-04&endday=2017-09-10&tree=all

Updated

17 days ago
Flags: qe-verify-
You need to log in before you can comment on or make changes to this bug.